This page was not yet optimized for use on mobile devices.
FastIron ICX™ 7450 Series Switch/Router
Certificate details
| Certificate ID | #3299 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 15.10.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When assembled as per Security Policy Table 3, and configured in FIPS Approved Mode as per Security Policy Section 8 |
| Exceptions |
|
| Description | The Ruckus ICX 7450 delivers unprecedented scale-out density with enterprise-class availability. With SDN support, a service module for IPsec VPN, and 40 GbE ports for uplinks all in a stackable design, these switches enable services to be added anywhere in the network. |
| Version (Hardware) | ICX7450-24P, ICX7450-48P, ICX7450-48F, ICX7400-4X1GF, ICX7400-4X10GF, ICX7400-4X10GC, ICX7400-1X40GQ, ICX7400-SERVICE-MOD, RPS16-E, RPS16DC-E, RPS16-I, RPS16DC-I, ICX-FAN10-I, ICX-FAN10-E, Filler Panel |
| Version (Firmware) | IronWare R08.0.70 |
| Vendor | Ruckus Wireless, Inc. http://www.ruckuswireless.com |
| Lab | UL Verification Services, Inc. |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, AES-192, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, CMACAsymmetric Algorithms
RSA-2048, RSA 2048, ECDH, ECDSA, DH, Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-256, SHA-384, SHA-224, SHA-512, MD5Schemes
MAC, KEX, Key Agreement, KA, Key agreementProtocols
SSHv2, SSL, TLSv1.2, TLS, TLS v1.0, TLS v1.2, TLS v1.1, IKEv2, IKE, IPsec, VPNRandomness
DRBG, RNGElliptic Curves
P-256, P-384, curve P-256Block cipher modes
ECB, CBC, CTR, CFB, GCMSecurity level
Level 1Standards
FIPS 140-2, FIPS 197, FIPS 186-4, FIPS 198-1, FIPS 180-4, SP 800-135, SP 800-56A, SP 800-90A, PKCS 1, PKCS #1, RFC-5905, RFC 4106, RFC 5282, RFC 7296Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3299,
"dgst": "39e99864636d68f4",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"DSA#1318",
"#1318",
"CVL#1566",
"DRBG#1837",
"SHS#4081",
"AES#5022",
"#1837",
"#5074",
"ECDSA#1282",
"HMAC#3336",
"#2707",
"CVL#1567",
"KTS#3336",
"#1566",
"#1282",
"RSA#2707",
"KTS#5022",
"#5022",
"KBKDF#166",
"#3336",
"AES#4550",
"#1567",
"#4550",
"AES#5074"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"08.0.70"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 30
},
"ECDSA": {
"ECDSA": 21
}
},
"FF": {
"DH": {
"DH": 34,
"Diffie-Hellman": 5
},
"DSA": {
"DSA": 6
}
},
"RSA": {
"RSA 2048": 15,
"RSA-2048": 3
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 4
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 4
},
"ECB": {
"ECB": 6
},
"GCM": {
"GCM": 9
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 4,
"IKEv2": 93
},
"IPsec": {
"IPsec": 22
},
"SSH": {
"SSHv2": 116
},
"TLS": {
"SSL": {
"SSL": 4
},
"TLS": {
"TLS": 37,
"TLS v1.0": 1,
"TLS v1.1": 1,
"TLS v1.2": 2,
"TLSv1.2": 2
}
},
"VPN": {
"VPN": 1
}
},
"crypto_scheme": {
"KA": {
"KA": 2,
"Key Agreement": 8,
"Key agreement": 1
},
"KEX": {
"KEX": 1
},
"MAC": {
"MAC": 8
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 37,
"P-384": 34,
"curve P-256": 1
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1318": 1,
"#1567": 4,
"#2707": 1,
"#3336": 1,
"#4550": 2,
"#5022": 2,
"#5074": 1
}
},
"fips_certlike": {
"Certlike": {
"#3336 RSA": 1,
"AES #4550": 1,
"AES #5022": 2,
"AES 128": 1,
"AES CMAC 128": 1,
"AES-128": 1,
"AES-128,192": 2,
"AES-192": 2,
"AES-256": 1,
"CVL #1567": 4,
"Cert. AES": 1,
"DES 56": 1,
"DRBG 3": 1,
"DSA Cert. #1318": 1,
"DSA-2048": 1,
"HMAC #3336": 2,
"HMAC-SHA- 1": 2,
"HMAC-SHA-1": 51,
"HMAC-SHA-1 (96": 1,
"HMAC-SHA-1 15": 2,
"HMAC-SHA-1 6": 2,
"HMAC-SHA-1,256": 2,
"HMAC-SHA-2": 16,
"HMAC-SHA-256": 9,
"HMAC-SHA-256 (128": 1,
"HMAC-SHA-384": 6,
"HMAC-SHA1": 2,
"PKCS #1": 1,
"PKCS 1": 2,
"RSA 2048": 15,
"RSA PKCS #1": 1,
"SHA-1": 4,
"SHA-1,256": 1,
"SHA-224": 2,
"SHA-256": 8,
"SHA-384": 3,
"SHA-512": 2,
"SHA1": 7
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 14
}
},
"SHA": {
"SHA1": {
"SHA-1": 5,
"SHA1": 7
},
"SHA2": {
"SHA-224": 2,
"SHA-256": 8,
"SHA-384": 3,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 27
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 53,
"FIPS 180-4": 1,
"FIPS 186-4": 16,
"FIPS 197": 3,
"FIPS 198-1": 1
},
"NIST": {
"SP 800-135": 1,
"SP 800-56A": 1,
"SP 800-90A": 1
},
"PKCS": {
"PKCS #1": 1,
"PKCS 1": 1
},
"RFC": {
"RFC 4106": 1,
"RFC 5282": 1,
"RFC 7296": 1,
"RFC-5905": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 52,
"AES-128": 3,
"AES-192": 2,
"AES-256": 1
}
},
"DES": {
"3DES": {
"Triple-DES": 2
},
"DES": {
"DES": 6
}
},
"constructions": {
"MAC": {
"CMAC": 3,
"HMAC": 7,
"HMAC-SHA-256": 5,
"HMAC-SHA-384": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"KBKDF#166",
"DSA#1318",
"AES#4550",
"CVL#1566",
"CVL#1567",
"KTS#3336",
"DRBG#1837",
"SHS#4081",
"ECDSA#1282",
"RSA#2707",
"AES#5022",
"KTS#5022",
"AES#5074",
"HMAC#3336"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#1318",
"#3336",
"#1567",
"#1566",
"#5074",
"#4550",
"#1282",
"#1837",
"#5022",
"#2707"
]
},
"policy_metadata": {
"/Author": "Gauri Gokhale",
"/Company": "Brocade Communications Systems, Inc.",
"/ContentTypeId": "0x010100587F7AB216E8E54BB1E11AF6F44031A9",
"/CreationDate": "D:20180924164433-07\u002700\u0027",
"/Creator": "Acrobat PDFMaker 17 for Word",
"/ModDate": "D:20180924164501-07\u002700\u0027",
"/Producer": "Adobe PDF Library 15.0",
"/SourceModified": "D:20180924232550",
"pdf_file_size_bytes": 1024611,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 65
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "9a77e3e9efd88bff5d7231d304384c24fdfa5f5bb36db11dabf00fc393fe1f9a",
"source_hash": "2401efada73a8e1ac81ce499587ed69b78deb09df222a4a24ba708893551c8d7",
"txt_hash": "3d7324b46887a8fc4e40ca12ab6dc1eabbef2c452b98f8172cb4569de5f06579"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When assembled as per Security Policy Table 3, and configured in FIPS Approved Mode as per Security Policy Section 8",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertOct2018.pdf",
"date_sunset": null,
"description": "The Ruckus ICX 7450 delivers unprecedented scale-out density with enterprise-class availability. With SDN support, a service module for IPsec VPN, and 40 GbE ports for uplinks all in a stackable design, these switches enable services to be added anywhere in the network.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "IronWare R08.0.70",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "ICX7450-24P, ICX7450-48P, ICX7450-48F, ICX7400-4X1GF, ICX7400-4X10GF, ICX7400-4X10GC, ICX7400-1X40GQ, ICX7400-SERVICE-MOD, RPS16-E, RPS16DC-E, RPS16-I, RPS16DC-I, ICX-FAN10-I, ICX-FAN10-E, Filler Panel",
"level": 1,
"mentioned_certs": {},
"module_name": "FastIron ICX\u2122 7450 Series Switch/Router",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-10-15",
"lab": "UL Verification Services, Inc.",
"validation_type": "Initial"
}
],
"vendor": "Ruckus Wireless, Inc.",
"vendor_url": "http://www.ruckuswireless.com"
}
}